/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
#include "kaddressvalidator.h"
#include <kmessagebox.h>
bool _modifiedhost;

void KAddKnownHostDlg::init()
{
    _modifiedhost = false;
    makeButtonsResizeable();    
}    
void KAddKnownHostDlg::validateAddressSlot()
{
  if ((KAddressValidator::isValidIPAddress(kleIpAddress->text())) &&
    !(kleName->text().isEmpty()) && !(kleAliases->text().isEmpty()))
  {
    _modifiedhost = true;
    close();
  }
  else
  {
    KMessageBox::error(this,i18n("The format of the specified IP address is not valid."),i18n("Invalid IP address"));
    kleIpAddress->clear();
  }  

}


void KAddKnownHostDlg::makeButtonsResizeable()
{
    kpbAdd->setAutoResize(true);
    kpbCancel->setAutoResize(true);
}


bool KAddKnownHostDlg::modified()
{
    return _modifiedhost;
}
